Next Previous Up Contents
Next: line3d
Up: Layer Types
Previous: xyzvector

#### 8.3.46 `xyzerror`

Plots symmetric or asymmetric error bars in some or all of the plot dimensions. The shape of the error "bars" is quite configurable, including (for 2-d and 3-d errors) ellipses, rectangles etc aligned with the axes.

Usage Overview:

       layerN=xyzerror errorbarN=none|lines|capped_lines|... thickN=<int-value>
                       shadingN=flat|translucent|transparent|density|aux|weighted|paux|pweighted <shade-paramsN>
                       xN=<num-expr> yN=<num-expr> zN=<num-expr> xerrhiN=<num-expr>
                       xerrloN=<num-expr> yerrhiN=<num-expr> yerrloN=<num-expr>
                       zerrhiN=<num-expr> zerrloN=<num-expr> inN=<table>
                       ifmtN=<in-format> istreamN=true|false icmdN=<cmds>

All the parameters listed here affect only the relevant layer, identified by the suffix `N`.

Example:

       stilts plot2cube in=dr5qso.fits icmd='select morphology==1'
                        x=psfmag_g xerrhi=psfmagerr_g
                        y=psfmag_r yerrhi=psfmagerr_r
                        z=psfmag_u zerrhi=psfmagerr_u
                        layer1=mark
                        layer2=xyzerror errorbar2=cuboid
                        shading=transparent opaque=3
                        xmin=17.5 xmax=18 ymin=17.3 ymax=17.7 zmin=17.4 zmax=18.2

`errorbarN = none|lines|capped_lines|...` (MultiPointShape)
  How errorbars are represented.

  The available options are:

  - `none`
  - `lines`
  - `capped_lines`
  - `caps`
  - `arrows`
  - `cuboid`
  - `ellipse`
  - `crosshair_ellipse`
  - `rectangle`
  - `crosshair_rectangle`
  - `filled_ellipse`
  - `filled_rectangle`

  [Default: `lines`]

`icmdN = <cmds>` (ProcessingStep[])
  Specifies processing to be performed on the layer N input table as specified by parameter `inN`. The value of this parameter is one or more of the filter commands described in Section 6.1. If more than one is given, they must be separated by semicolon characters (";"). This parameter can be repeated multiple times on the same command line to build up a list of processing steps. The sequence of commands given in this way defines the processing pipeline which is performed on the table.

  Commands may alternatively be supplied in an external file, by using the indirection character '`@`'. Thus a value of "`@filename`" causes the file `filename` to be read for a list of filter commands to execute. The commands in the file may be separated by newline characters and/or semicolons, and lines which are blank or which start with a '`#`' character are ignored. A backslash character '`\`' at the end of a line joins it with the following line.

`ifmtN = <in-format>` (String)
  Specifies the format of the input table as specified by parameter `inN`. The known formats are listed in Section 5.1.1. This flag can be used if you know what format your table is in. If it has the special value `(auto)` (the default), then an attempt will be made to detect the format of the table automatically. This cannot always be done correctly however, in which case the program will exit with an error explaining which formats were attempted. This parameter is ignored for scheme-specified tables.

  [Default: `(auto)`]

`inN = <table>` (StarTable)
  The location of the input table. This may take one of the following forms:
  - A filename.
  - A URL.
  - The special value "`-`", meaning standard input. In this case the input format must be given explicitly using the `ifmtN` parameter. Note that not all formats can be streamed in this way.
  - A scheme specification of the form `:<scheme-name>:<scheme-args>`.
  - A system command line with either a "`<`" character at the start, or a "`|`" character at the end ("`<syscmd`" or "`syscmd|`"). This executes the given pipeline and reads from its standard output. This will probably only work on unix-like systems.
  In any case, compressed data in one of the supported compression formats (gzip, Unix compress or bzip2) will be decompressed transparently.
`istreamN = true|false` (Boolean)
  If set true, the input table specified by the `inN` parameter will be read as a stream. It is necessary to give the `ifmtN` parameter in this case. Depending on the required operations and processing mode, this may cause the read to fail (sometimes it is necessary to read the table more than once). It is not normally necessary to set this flag; in most cases the data will be streamed automatically if that is the best thing to do. However it can sometimes result in less resource usage when processing large files in certain formats (such as VOTable). This parameter is ignored for scheme-specified tables.

  [Default: `false`]

`shadingN = flat|translucent|transparent|density|aux|weighted|paux|pweighted <shade-paramsN>` (ShapeMode)
  Determines how plotted objects in layer N are coloured. This may be influenced by how many objects are plotted over each other as well as the values of other parameters. Available options (Section 8.4) are:
  - `flat`
  - `translucent`
  - `transparent`
  - `density`
  - `aux`
  - `weighted`
  - `paux`
  - `pweighted`
  Each of these options comes with its own set of parameters to specify the details of how colouring is done.

  [Default: `flat`]

`thickN = <int-value>` (Integer)
  Controls the line thickness used when drawing shapes. Zero, the default value, means a 1-pixel-wide line is used. Larger values make drawn lines thicker, but note changing this value will not affect all shapes, for instance filled rectangles contain no line drawings.

  [Default: `0`]

`xN = <num-expr>` (String)
  X coordinate.

  The value is a numeric algebraic expression based on column names as described in Section 10.

`xerrhiN = <num-expr>` (String)
  Error in the X coordinate in the positive direction. If no corresponding negative error value is supplied, then this value is also used in the negative direction, i.e. in that case errors are assumed to be symmetric.

  The value is a numeric algebraic expression based on column names as described in Section 10.

`xerrloN = <num-expr>` (String)
  Error in the X coordinate in the negative direction. If left blank, it is assumed to take the same value as the positive error.

  The value is a numeric algebraic expression based on column names as described in Section 10.

`yN = <num-expr>` (String)
  Y coordinate.

  The value is a numeric algebraic expression based on column names as described in Section 10.

`yerrhiN = <num-expr>` (String)
  Error in the Y coordinate in the positive direction. If no corresponding negative error value is supplied, then this value is also used in the negative direction, i.e. in that case errors are assumed to be symmetric.

  The value is a numeric algebraic expression based on column names as described in Section 10.

`yerrloN = <num-expr>` (String)
  Error in the Y coordinate in the negative direction. If left blank, it is assumed to take the same value as the positive error.

  The value is a numeric algebraic expression based on column names as described in Section 10.

`zN = <num-expr>` (String)
  Z coordinate.

  The value is a numeric algebraic expression based on column names as described in Section 10.

`zerrhiN = <num-expr>` (String)
  Error in the Z coordinate in the positive direction. If no corresponding negative error value is supplied, then this value is also used in the negative direction, i.e. in that case errors are assumed to be symmetric.

  The value is a numeric algebraic expression based on column names as described in Section 10.

`zerrloN = <num-expr>` (String)
  Error in the Z coordinate in the negative direction. If left blank, it is assumed to take the same value as the positive error.

  The value is a numeric algebraic expression based on column names as described in Section 10.

Next Previous Up Contents
Next: line3d
Up: Layer Types
Previous: xyzvector

STILTS - Starlink Tables Infrastructure Library Tool Set
Starlink User Note256
STILTS web page: http://www.starlink.ac.uk/stilts/
Author email: m.b.taylor@bristol.ac.uk
Mailing list: topcat-user@jiscmail.ac.uk